```
==> Starting build()...
running build
running build_py
creating build
creating build/lib.linux-x86_64-3.9
creating build/lib.linux-x86_64-3.9/pygalmesh
copying pygalmesh/__about__.py -> build/lib.linux-x86_64-3.9/pygalmesh
copying pygalmesh/__init__.py -> build/lib.linux-x86_64-3.9/pygalmesh
copying pygalmesh/_cli.py -> build/lib.linux-x86_64-3.9/pygalmesh
copying pygalmesh/main.py -> build/lib.linux-x86_64-3.9/pygalmesh
running build_ext
clang -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -march=x86-64 -mtune=generic -O3 -pipe -fno-plt -fno-semantic-interposition -march=x86-64 -mtune=generic -O3 -pipe -fno-plt -march=x86-64 -mtune=generic -O3 -pipe -fno-plt -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security -fstack-clash-protection -fcf-protection -fPIC -I/usr/include/python3.9 -c flagcheck.cpp -o flagcheck.o -std=c++17
building '_pygalmesh' extension
creating build/temp.linux-x86_64-3.9
creating build/temp.linux-x86_64-3.9/src
clang -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -march=x86-64 -mtune=generic -O3 -pipe -fno-plt -fno-semantic-interposition -march=x86-64 -mtune=generic -O3 -pipe -fno-plt -march=x86-64 -mtune=generic -O3 -pipe -fno-plt -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security -fstack-clash-protection -fcf-protection -fPIC -I/usr/include/eigen3/ -I/usr/local/include/eigen3 -I/usr/lib/python3.9/site-packages/pybind11/include -I/usr/include/python3.9 -c src/generate.cpp -o build/temp.linux-x86_64-3.9/src/generate.o -std=c++17 -fvisibility=hidden -g0
src/generate.cpp:120:7: error: no matching constructor for initialization of 'pygalmesh::Facet_criteria' (aka 'CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>')
      Facet_criteria(
      ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:83:3: note: candidate constructor template not viable: no known conversion from '(lambda at src/generate.cpp:125:10)' to 'const CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::FT' (aka 'const double') for 3rd argument
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:104:3: note: candidate constructor template not viable: no known conversion from '(lambda at src/generate.cpp:122:10)' to 'const CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::FT' (aka 'const double') for 2nd argument
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:62:3: note: candidate constructor not viable: no known conversion from '(lambda at src/generate.cpp:122:10)' to 'const CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::FT' (aka 'const double') for 2nd argument
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:125:3: note: candidate template ignored: substitution failure [with Sizing_field = (lambda at src/generate.cpp:122:10), Sizing_field2 = (lambda at src/generate.cpp:125:10)]: no type named 'FT' in '(lambda at src/generate.cpp:122:10)'
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:40:7: note: candidate constructor (the implicit copy constructor) not viable: requires 1 argument, but 3 were provided
class Mesh_facet_criteria_3
      ^
src/generate.cpp:128:11: error: no matching constructor for initialization of 'pygalmesh::Facet_criteria' (aka 'CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>')
      ) : Facet_criteria(
          ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:62:3: note: candidate constructor not viable: no known conversion from '(lambda at src/generate.cpp:130:10)' to 'const CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::FT' (aka 'const double') for 2nd argument
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:104:3: note: candidate constructor template not viable: no known conversion from '(lambda at src/generate.cpp:130:10)' to 'const CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::FT' (aka 'const double') for 2nd argument
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:83:3: note: candidate template ignored: substitution failure [with Sizing_field = (lambda at src/generate.cpp:130:10)]: no type named 'FT' in '(lambda at src/generate.cpp:130:10)'
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:125:3: note: candidate template ignored: substitution failure [with Sizing_field = (lambda at src/generate.cpp:130:10), Sizing_field2 = double]: no type named 'FT' in '(lambda at src/generate.cpp:130:10)'
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:40:7: note: candidate constructor (the implicit copy constructor) not viable: requires 1 argument, but 3 were provided
class Mesh_facet_criteria_3
      ^
src/generate.cpp:137:7: error: no matching constructor for initialization of 'pygalmesh::Facet_criteria' (aka 'CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>')
      Facet_criteria(
      ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:62:3: note: candidate constructor not viable: no known conversion from '(lambda at src/generate.cpp:140:10)' to 'const CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::FT' (aka 'const double') for 3rd argument
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:83:3: note: candidate constructor template not viable: no known conversion from '(lambda at src/generate.cpp:140:10)' to 'const CGAL::Mesh_facet_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::FT' (aka 'const double') for 3rd argument
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:104:3: note: candidate template ignored: substitution failure [with Sizing_field = (lambda at src/generate.cpp:140:10)]: no type named 'FT' in '(lambda at src/generate.cpp:140:10)'
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:125:3: note: candidate template ignored: substitution failure [with Sizing_field = double, Sizing_field2 = (lambda at src/generate.cpp:140:10)]: type 'double' cannot be used prior to '::' because it has no members
  Mesh_facet_criteria_3(const FT& angle_bound,
  ^
/usr/include/CGAL/Mesh_facet_criteria_3.h:40:7: note: candidate constructor (the implicit copy constructor) not viable: requires 1 argument, but 3 were provided
class Mesh_facet_criteria_3
      ^
src/generate.cpp:151:6: error: no matching conversion for functional-style cast from '(lambda at src/generate.cpp:152:10)' to 'pygalmesh::Edge_criteria' (aka 'CGAL::Mesh_edge_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>')
     Edge_criteria(
     ^~~~~~~~~~~~~~
/usr/include/CGAL/Mesh_edge_criteria_3.h:110:3: note: candidate constructor not viable: no known conversion from '(lambda at src/generate.cpp:152:10)' to 'const CGAL::Mesh_edge_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::FT' (aka 'const double') for 1st argument
  Mesh_edge_criteria_3(const FT& value)
  ^
/usr/include/CGAL/Mesh_edge_criteria_3.h:131:3: note: candidate constructor not viable: no known conversion from '(lambda at src/generate.cpp:152:10)' to 'const CGAL::Mesh_edge_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::Self' (aka 'const CGAL::Mesh_edge_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>') for 1st argument
  Mesh_edge_criteria_3(const Self& rhs)
  ^
/usr/include/CGAL/Mesh_edge_criteria_3.h:118:3: note: candidate template ignored: substitution failure [with Sizing_field = (lambda at src/generate.cpp:152:10)]: no type named 'FT' in '(lambda at src/generate.cpp:152:10)'
  Mesh_edge_criteria_3(const Sizing_field& size,
  ^
src/generate.cpp:157:6: error: no matching constructor for initialization of 'pygalmesh::Cell_criteria' (aka 'CGAL::Mesh_cell_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>')
     Cell_criteria(
     ^
/usr/include/CGAL/Mesh_cell_criteria_3.h:58:3: note: candidate constructor not viable: no known conversion from '(lambda at src/generate.cpp:159:10)' to 'const CGAL::Mesh_cell_criteria_3<CGAL::Mesh_3_regular_triangulation_3_wrapper<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Triangulation_data_structure_3<CGAL::Mesh_vertex_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>, CGAL::Compact_mesh_cell_base_3<CGAL::Robust_weighted_circumcenter_filtered_traits_3<CGAL::Epick>, CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<CGAL::Epick>>>>>>::FT' (aka 'const double') for 2nd argument
  Mesh_cell_criteria_3(const FT& radius_edge_bound,
  ^
/usr/include/CGAL/Mesh_cell_criteria_3.h:71:3: note: candidate template ignored: substitution failure [with Sizing_field = (lambda at src/generate.cpp:159:10)]: no type named 'FT' in '(lambda at src/generate.cpp:159:10)'
  Mesh_cell_criteria_3(const FT& radius_edge_bound,
  ^
/usr/include/CGAL/Mesh_cell_criteria_3.h:35:7: note: candidate constructor (the implicit copy constructor) not viable: requires 1 argument, but 2 were provided
class Mesh_cell_criteria_3
      ^
5 errors generated.
error: command '/usr/sbin/clang' failed with exit code 1
==> ERROR: A failure occurred in build().
    Aborting...
```

```
export GIT_LFS_SKIP_SMUDGE=1

prepare() {
  cd "${_base}"
  git remote set-url origin "${url}.git"
  git lfs install
  git lfs fetch
  git lfs checkout
}
```
